<?xml version="1.0"?>

<themes 
  xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' 
  xsi:schemaLocation='eg.generic.themes ./xmls/GenericThemes.xsd'
  xmlns="eg.generic.themes"
>

  <theme name="Blue" id="blueTheme">            
    <color id="PrimaryWindow"           >#1c2d77</color>
    <color id="SecondaryWindow"         >#EAF2F7</color>
    <color id="PrimaryContainer"        >#aed3dc</color>
    <color id="SecondaryContainer"      >#DAEDEC</color>
    <color id="Menu"                    >#C8E8E7</color>
    <color id="PrimaryControl"          >#5B83B3</color>
    <color id="SecondaryControl"        >#E5EFF4</color>
    <color id="FocusControl"            >#9EC0D3</color>
    <color id="SecondaryRolloverControl">#ABC7D8</color>
    <color id="PrimaryText"             >#FFFFFF</color>
    <color id="SecondaryText"           >#FFFFFF</color>
    <color id="TertiaryText"            >#273572</color>                              
    <color id="InactiveText"            >#758A96</color>
    <color id="InactiveControl"         >#ADBAC3</color>
    <color id="DisconnectedBackground"  >#7C87B2</color>
    <color id="ControlGray"             >#5E6792</color>                                                                       
    <color id="ChartControlDark"        >#B1C3CE</color>
    <color id="ChartControlDarker"      >#A2B4BF</color>
    <color id="ProgressBackground"      >#192E3A</color>
    <color id="ProgressForeground"      >#69777F</color>          
  </theme>
 
   <theme name="Brown" id="brownTheme">            
    <color id="PrimaryWindow"           >#161f28</color>
    <color id="SecondaryWindow"         >#E1E8EE</color>
    <color id="PrimaryContainer"        >#c6bfbc</color>
    <color id="SecondaryContainer"      >#e8dbd7</color>
    <color id="Menu"                    >#9bc1d0</color>
    <color id="PrimaryControl"          >#989ea5</color>
    <color id="SecondaryControl"        >#E5EFF4</color>
    <color id="FocusControl"            >#9EC0D3</color>
    <color id="SecondaryRolloverControl">#ABC7D8</color>
    <color id="PrimaryText"             >#FFFFFF</color>
    <color id="SecondaryText"           >#FFFFFF</color>
    <color id="TertiaryText"            >#161f28</color>                              
    <color id="InactiveText"            >#758A96</color>
    <color id="InactiveControl"         >#ADBAC3</color>
    <color id="DisconnectedBackground"  >#72808E</color>
    <color id="ControlGray"             >#5E7892</color>                                                                       
    <color id="ChartControlDark"        >#B1C3CE</color>
    <color id="ChartControlDarker"      >#A2B4BF</color>
    <color id="ProgressBackground"      >#192E3A</color>
    <color id="ProgressForeground"      >#69777F</color>          
  </theme>
  
  <theme name="Gray" id="grayTheme">            
    <color id="PrimaryWindow"           >#384951</color>
    <color id="SecondaryWindow"         >#D9DFE1</color> 
    <color id="PrimaryContainer"        >#B1C4CD</color> 
    <color id="SecondaryContainer"      >#D4DEE2</color> 
    <color id="Menu"                    >#D9E3E7</color>    
    <color id="PrimaryControl"          >#BB5252</color>
    <color id="SecondaryControl"        >#EAEEEF</color>
    <color id="FocusControl"            >#C3D2D9</color>
    <color id="SecondaryRolloverControl">#BED4DF</color>
    <color id="PrimaryText"             >#FFFFFF</color>
    <color id="SecondaryText"           >#FFFFFF</color>
    <color id="TertiaryText"            >#0E3243</color>
    <color id="InactiveText"            >#738791</color>
    <color id="InactiveControl"         >#9CACB4</color>
    <color id="ControlGray"             >#3C474D</color>
    <color id="ChartControlDark"        >#B1C4CD</color>
    <color id="ChartControlDarker"      >#A4B7C0</color>
    <color id="ProgressBackground"      >#381A18</color>
    <color id="ProgressForeground"      >#68767D</color>
    <color id="DisconnectedBackground"  >#586A73</color>        
  </theme>
  
  <theme name="Green" id="greenTheme" >
    <color id="PrimaryWindow"           >#0E4424</color>
    <color id="SecondaryWindow"         >#D7E8DE</color>
    <color id="PrimaryContainer"        >#a5d0a0</color>
    <color id="SecondaryContainer"      >#d8f2d7</color>
    <color id="Menu"                    >#DAE8E0</color>
    <color id="PrimaryControl"          >#008438</color>
    <color id="SecondaryControl"        >#C8DFD2</color>
    <color id="FocusControl"            >#9ED3B4</color>
    <color id="SecondaryRolloverControl">#ABD8BE</color>
    <color id="PrimaryText"             >#FFFFFF</color>
    <color id="SecondaryText"           >#FFFFFF</color>
    <color id="TertiaryText"            >#0E4424</color>
    <color id="InactiveText"            >#739381</color>
    <color id="InactiveControl"         >#9EB7A9</color>
    <color id="ControlGray"             >#3E4F45</color>
    <color id="ChartControlDark"        >#B1CEBD</color>
    <color id="ChartControlDarker"      >#A4C1B0</color>
    <color id="ProgressBackground"      >#193A27</color>
    <color id="ProgressForeground"      >#697F72</color>
    <color id="DisconnectedBackground"  >#4E8263</color>
  </theme>
  
  <theme name="Red" id="redTheme">  
    <color id="PrimaryWindow"           >#5A0606</color>
    <color id="SecondaryWindow"         >#EAD9DF</color>
    <color id="PrimaryContainer"        >#f86f6f</color>
    <color id="SecondaryContainer"      >#fabfbf</color>
    <color id="Menu"                    >#FF8A8A</color>
    <color id="PrimaryControl"          >#8C0000</color>
    <color id="SecondaryControl"        >#EDDEDE</color>
    <color id="FocusControl"            >#D49D9D</color>
    <color id="SecondaryRolloverControl">#D9BCAB</color>
    <color id="PrimaryText"             >#FFFFFF</color>
    <color id="SecondaryText"           >#FFFFFF</color>
    <color id="TertiaryText"            >#5A0606</color>                              
    <color id="InactiveText"            >#957373</color>
    <color id="InactiveControl"         >#C7B1B9</color>
    <color id="DisconnectedBackground"  >#996666</color>
    <color id="ControlGray"             >#C7B1B1</color>                                                                       
    <color id="ChartControlDark"        >#CFAFBA</color>
    <color id="ChartControlDarker"      >#C1A3AD</color>
    <color id="ProgressBackground"      >#3C1A25</color>
    <color id="ProgressForeground"      >#7F6A72</color>          
  </theme>
 
 <theme name="Violet" id="violetTheme">    
    <color id="PrimaryWindow"           >#372E5E</color>
    <color id="SecondaryWindow"         >#EEECF7</color>
    <color id="PrimaryContainer"        >#c4bcdf</color>
    <color id="SecondaryContainer"      >#DDDAEE</color>
    <color id="Menu"                    >#DCDAEA</color>
    <color id="PrimaryControl"          >#786da8</color>
    <color id="SecondaryControl"        >#EDECF1</color>
    <color id="FocusControl"            >#E9E5EF</color>
    <color id="SecondaryRolloverControl">#C8C1E1</color>
    <color id="PrimaryText"             >#FFFFFF</color>
    <color id="SecondaryText"           >#FFFFFF</color>
    <color id="TertiaryText"            >#372E5E</color>                              
    <color id="InactiveText"            >#827698</color>
    <color id="InactiveControl"         >#AEACBE</color>
    <color id="DisconnectedBackground"  >#77728E</color>
    <color id="ControlGray"             >#6A6485</color>                                                                       
    <color id="ChartControlDark"        >#B9B2D1</color>
    <color id="ChartControlDarker"      >#A9A3C2</color>
    <color id="ProgressBackground"      >#1F1A3D</color>
    <color id="ProgressForeground"      >#6E6B82</color>          
  </theme>
  
  <theme name="White" id="whiteTheme" >
    <color id="PrimaryWindow"           >#000000</color>
    <color id="SecondaryWindow"         >#DDDDDD</color>
    <color id="PrimaryContainer"        >#D8D8D8</color>
    <color id="SecondaryContainer"      >#EEEEEE</color>
    <color id="Menu"                    >#E2E2E2</color>
    <color id="PrimaryControl"          >#BABABA</color>
    <color id="SecondaryControl"        >#F1F1F1</color>
    <color id="FocusControl"            >#D2CFCF</color>
    <color id="SecondaryRolloverControl">#C9C9C9</color>
    <color id="PrimaryText"             >#FFFFFF</color>
    <color id="SecondaryText"           >#000000</color>
    <color id="TertiaryText"            >#000000</color>
    <color id="InactiveText"            >#989898</color>
    <color id="InactiveControl"         >#CCCCCC</color>
    <color id="ControlGray"             >#4B4B4C</color>
    <color id="ChartControlDark"        >#D1D1D1</color>
    <color id="ChartControlDarker"      >#C2C2C2</color>
    <color id="ProgressBackground"      >#3D3D3D</color>
    <color id="ProgressForeground"      >#828282</color>
    <color id="DisconnectedBackground"  >#939393</color>
  </theme>
  
  <theme name="Yellow" id="yellowTheme">
    <color id="PrimaryWindow"           >#E8E171</color>
    <color id="SecondaryWindow"         >#E5F3F2</color>
    <color id="PrimaryContainer"        >#E0DDC0</color>
    <color id="SecondaryContainer"      >#EDEBDA</color>
    <color id="Menu"                    >#ABC6EC</color>
    <color id="PrimaryControl"          >#A1B222</color>
    <color id="SecondaryControl"        >#F8ECBA</color>
    <color id="FocusControl"            >#EDEAE3</color>
    <color id="SecondaryRolloverControl">#E0D6C0</color>
    <color id="PrimaryText"             >#000000</color>
    <color id="SecondaryText"           >#08255C</color>
    <color id="TertiaryText"            >#115D8A</color>
    <color id="InactiveText"            >#938A73</color>
    <color id="InactiveControl"         >#C3B9A5</color>
    <color id="ControlGray"             >#6B6726</color>
    <color id="ChartControlDark"        >#CEC5B1</color>
    <color id="ChartControlDarker"      >#C1B8A4</color>
    <color id="ProgressBackground"      >#182C38</color> 
    <color id="ProgressForeground"      >#7A7366</color>
    <color id="DisconnectedBackground"  >#C4C490</color>
  </theme>

  <theme name="Dark Blue" id="darkblueTheme">            
    <color id="PrimaryWindow"           >#253551</color>
    <color id="SecondaryWindow"         >#f0f3f9</color>
    <color id="PrimaryContainer"        >#93c6e0</color>
    <color id="SecondaryContainer"      >#cae3ef</color>
    <color id="Menu"                    >#C8E8E7</color>
    <color id="PrimaryControl"          >#8baf3f</color>
    <color id="SecondaryControl"        >#E5EFF4</color>
    <color id="FocusControl"            >#9EC0D3</color>
    <color id="SecondaryRolloverControl">#B1C3CE</color>
    <color id="PrimaryText"             >#FFFFFF</color>
    <color id="SecondaryText"           >#FFFFFF</color>
    <color id="TertiaryText"            >#273572</color>
    <color id="InactiveText"            >#758A96</color>
    <color id="InactiveControl"         >#ADBAC3</color>
    <color id="DisconnectedBackground"  >#455b83</color>
    <color id="ControlGray"             >#5E6792</color>                                                                       
    <color id="ChartControlDark"        >#B1C3CE</color>
    <color id="ChartControlDarker"      >#A2B4BF</color>
    <color id="ProgressBackground"      >#192E3A</color>
    <color id="ProgressForeground"      >#69777F</color>
  </theme>

</themes>
